Bug 1135439 - Default message digest defaults to sha1
Summary: Default message digest defaults to sha1
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: freeradius   
(Show other bugs)
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Nikolai Kondrashov
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Keywords:
Depends On: 1099625
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-29 10:22 UTC by David Spurek
Modified: 2015-07-22 06:16 UTC (History)
8 users (show)

Fixed In Version: freeradius-2.2.6-1.el6
Doc Type: Bug Fix
Doc Text:
Automatically generated default certificates used the SHA-1 algorithm message digest, which is considered insecure. The default certificates now use the more secure SHA-256 algorithm message digest.
Story Points: ---
Clone Of: 1099625
Environment:
Last Closed: 2015-07-22 06:16:50 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1287 normal SHIPPED_LIVE Moderate: freeradius security, bug fix, and enhancement update 2015-07-20 17:48:53 UTC

Description David Spurek 2014-08-29 10:22:56 UTC
The same problem in rhel6, checked with freeradius-2.1.12-4.el6_3
+++ This bug was initially created as a clone of Bug #1099625 +++

Description of problem:
The default_md field in the /etc/raddb/certs/client.cnf, /etc/raddb/certs/ca.cnf, and /etc/raddb/certs/server.cnf default to sha1. At this point they should probably default to sha256 since it's been deemed that both md5 and sha1 are not secure.

Version-Release number of selected component (if applicable):
freeradius 3.0.1-6.el7

--- Additional comment from John Dennis on 2014-05-20 15:45:44 EDT ---

Valid point, we already had patched the cnf file from upstream to move from md5 to sha1 a few years back. Upgrading to sha256 is good next step in the ever evolving cipher hardening.

FWIW these files are meant to be temporary *example* certs uesd just to get started (we reduce the validity period just to reinfoce that idea) and our documentation clearly states you're supposed to acquire better certs in any real deployment. However the example should "lead by example" and indeed we should bump up the digest algorithm. Just saying this to avoid this being construed as a serious security issue.

--- Additional comment from Nikolai Kondrashov on 2014-07-16 14:58:37 EDT ---

Fix merged upstream: https://github.com/FreeRADIUS/freeradius-server/pull/734

Comment 5 errata-xmlrpc 2015-07-22 06:16:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1287.html


Note You need to log in before you can comment on or make changes to this bug.